[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Building wine on x86_64



Hi,

Can anyone tell me how to set up my build environment to rebuild
wine-0.9.13-2.fc5 (slightly patched) on my amd64 box?  I'm trying to
install i386 versions of all the BuildRequires, but I'm running into
errors like:

Transaction Check Error:   file /usr/bin/artsc-config from install of
arts-devel-1.5.2-0.1.fc5 conflicts with file from package
arts-devel-1.5.2-0.1.fc5
  file /usr/include/kde/arts/gsl/gslconfig.h from install of
arts-devel-1.5.2-0.1.fc5 conflicts with file from package
arts-devel-1.5.2-0.1.fc5
  file /usr/bin/esd-config from install of esound-devel-0.2.36-2.2.1
conflicts with file from package esound-devel-0.2.36-2.2.1
  file /usr/bin/audiofile-config from install of
audiofile-devel-0.2.6-2.2.1 conflicts with file from package
audiofile-devel-0.2.6-2.2.1

Is there any way to nicely resolve conflicts like this?  Are there
general guidelines for setting up a sane cross compile environment,
preferably without resorting to dual boot?  Assuming I get the
appropriate packages installed, any other issues I should look out for
when it is time to build?

Thanks,
Jay


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]